#include <iostream>

using namespace std;

long long da[MAXN];
long long ne[MAXN];

int main()
{
	int t,n,m;
	cin>>t;
	for(int i=0;i<t;i++)
	{
		cin>>n>>m;
		for(int j=0;j<n;j++)
		{
			cin>>da[j];
		}
		for(int j=0;j<m;j++)
		{
			cin>>ne[j];
		}
	}
	for(int i=0;i<t;i++)
	{
		cout<< rand() % 2; 
	}
	return 0;
}